Ogre::GLPBuffer Class Reference

An off-screen rendering context. More...

`#include <OgreGLPBuffer.h>`

Inheritance diagram for Ogre::GLPBuffer:
[legend]

List of all members.

## Public Member Functions

| GLPBuffer (PixelComponentType format, size_t width, size_t height)
virtual | ~GLPBuffer ()
virtual GLContext * | getContext ()=0
| Get the GL context that needs to be active to render to this PBuffer.
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Attributes

PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Detailed Description

An off-screen rendering context.

These contexts are always RGBA for simplicity, speed and convience, but the component format is configurable.

Definition at line 38 of file OgreGLPBuffer.h.

## Constructor & Destructor Documentation

Ogre::GLPBuffer::GLPBuffer | ( | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |  |

virtual Ogre::GLPBuffer::~GLPBuffer | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual GLContext* Ogre::GLPBuffer::getContext | ( |  | ) | `[pure virtual]`

Get the GL context that needs to be active to render to this PBuffer.

Implemented in Ogre::GLXPBuffer, Ogre::OSXPBuffer, and Ogre::Win32PBuffer.

PixelComponentType Ogre::GLPBuffer::getFormat | ( |  | ) |

Definition at line 48 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::getHeight | ( | void |  | ) |

Definition at line 50 of file OgreGLPBuffer.h.

static PixelComponentType Ogre::GLPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static]`

Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLPBuffer::getWidth | ( | void |  | ) |

Definition at line 49 of file OgreGLPBuffer.h.

## Member Data Documentation

PixelComponentType Ogre::GLPBuffer::mFormat`[protected]`

Definition at line 56 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::mHeight`[protected]`

Definition at line 57 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::mWidth`[protected]`

Definition at line 57 of file OgreGLPBuffer.h.

The documentation for this class was generated from the following file:

- OgreGLPBuffer.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:52